%define beta 		0
%define levelsets	20141220
%define rel		1
%if %beta
%define release		%mkrel -c beta%{beta} %rel
%else
%define release		%mkrel %rel
%endif

# getting latest levelset ?
%define __fetch_levels 0
%{?_fetch_levels: %{expand: %%define __fetch_levels 1}}

Summary:	Breakout-style arcade game
Name:		lbreakout2
Version:	2.6.5
Release:	%{release}
Url:		http://lgames.sourceforge.net
# URL for the beta probably broken, cf. URL for stable releases.
%if %beta
Source0:	http://downloads.sf.net/lgames/%{name}-%{version}beta-%{beta}.tar.gz
%else
Source0:	http://downloads.sf.net/lgames/%{name}-%{version}.tar.gz
%endif
Source1:	http://downloads.sf.net/lgames/%{name}-levelsets-%{levelsets}.tar.gz
License:	GPLv2
Group:		Games/Arcade
BuildRequires:	SDL_mixer-devel
BuildRequires:	libpng-devel
# BuildRequires:	texinfo
%if %__fetch_levels
BuildRequires:	wget
%endif


%description
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%if %beta
%setup -q -n %{name}-%{version}beta-%{beta}
%else
%setup -q
%endif

# getting latest levelsets
%if %{__fetch_levels}
cd %{_tmppath}
wget http://lgames.sourceforge.net/LBreakout2/levels/levelsets.tar.gz
zcat levelsets.tar.gz | bzip2 > %{SOURCE1}
rm -f levelsets.tar.gz
%endif

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--with-libiconv-prefix=%{_prefix} \
		--without-included-gettext \
		--with-libintl-prefix=%{_prefix} \
		--localstatedir=%{_localstatedir}/games
%make_build

%install
install -d %{buildroot}%{_localstatedir}/games
%make_install

tar xzC %{buildroot}%{_datadir}/%{name}/levels -f %SOURCE1

desktop-file-install --vendor="" \
  --add-category="ArcadeGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

rm -rf %{buildroot}%{_docdir} # those docs are not wanted

%find_lang %{name}

%files -f %{name}.lang
%doc README TODO
%attr(2755, root, games) %{_gamesbindir}/*
%config(noreplace) %attr(664, games, games) %{_localstatedir}/games/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/lbreakout48.gif


%changelog
* Thu Jan 14 2016 akien <akien> 2.6.5-1.mga6
+ Revision: 923104
- Version 2.6.5
- Update levels snapshot

* Wed Oct 15 2014 umeabot <umeabot> 2.6.4-7.mga5
+ Revision: 746264
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.4-6.mga5
+ Revision: 681278
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.6.4-5.mga4
+ Revision: 526161
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.6.4-4.mga4
+ Revision: 435991
- rebuild for new libpng

* Sat Feb 02 2013 zezinho <zezinho> 2.6.4-3.mga3
+ Revision: 394159
- fix saving hiscore

* Sat Jan 12 2013 umeabot <umeabot> 2.6.4-2.mga3
+ Revision: 356684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 zezinho <zezinho> 2.6.4-1.mga3
+ Revision: 339345
- spec cleanup

  + akien <akien>
    - Update to upstream 2.6.4 (2012/06/26): A buffer overflow related to long configuration path name and a compile error have been fixed.
    - The levelset included with version 2.6.4 has been updated: levelsets-20120123
    - The latest levelset is included in this package: levelsets-20120815

* Sat Feb 11 2012 zezinho <zezinho> 2.6.3-4.mga3
+ Revision: 207211
- fix desktop file

* Sat Nov 05 2011 zezinho <zezinho> 2.6.3-3.mga2
+ Revision: 163249
- new levelset

* Fri Mar 11 2011 stormi <stormi> 2.6.3-2.mga2
+ Revision: 68214
- clean spec
- imported package lbreakout2

